cURL
curl -X PUT \
/offer-recipients/{id}/role \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"role": ""
}'import requests
url = "https://coreapi.io/offer-recipients/{id}/role"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://coreapi.io/offer-recipients/{id}/role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/offer-recipients/{id}/role",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"offer": "https://example.com/",
"role": "read",
"createdAt": "2023-11-07T05:31:56Z",
"signingStatus": "not_started",
"signingLog": [
"<string>"
],
"signedDocument": "https://example.com/",
"link": "https://example.com/offers/1/recipient-1",
"signingName": "<string>",
"signingNameRole": "<string>",
"signatureDone": true,
"submissionSlug": "<string>",
"tenantId": "<string>"
}Recipient
Change the role of an offer recipient
Changes the role of an offer recipient. This cannot be done, when the offer is already signed.
Required permissions:offer:writePUT
/
offer-recipients
/
{id}
/
role
cURL
curl -X PUT \
/offer-recipients/{id}/role \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"role": ""
}'import requests
url = "https://coreapi.io/offer-recipients/{id}/role"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://coreapi.io/offer-recipients/{id}/role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/offer-recipients/{id}/role",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"offer": "https://example.com/",
"role": "read",
"createdAt": "2023-11-07T05:31:56Z",
"signingStatus": "not_started",
"signingLog": [
"<string>"
],
"signedDocument": "https://example.com/",
"link": "https://example.com/offers/1/recipient-1",
"signingName": "<string>",
"signingNameRole": "<string>",
"signatureDone": true,
"submissionSlug": "<string>",
"tenantId": "<string>"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
OfferRecipient identifier
Body
application/jsontext/html
The updated OfferRecipient resource
The role of the recipient
Verfügbare Optionen:
read, sign, null Antwort
OfferRecipient resource updated
Beispiel:
"https://example.com/"
Verfügbare Optionen:
read, sign Verfügbare Optionen:
pending, started, signed, not_started, archived Beispiel:
"not_started"
Beispiel:
"https://example.com/"
Link to the offer for the recipient
Beispiel:
"https://example.com/offers/1/recipient-1"
War diese Seite hilfreich?